aboutsummaryrefslogtreecommitdiffstats
path: root/config-mingw
diff options
context:
space:
mode:
Diffstat (limited to 'config-mingw')
-rwxr-xr-xconfig-mingw9
1 files changed, 9 insertions, 0 deletions
diff --git a/config-mingw b/config-mingw
new file mode 100755
index 00000000..81190938
--- /dev/null
+++ b/config-mingw
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+set -x
+if echo $PATH | grep -q /mingw64; then
+ wordsize=64
+else
+ wordsize=32
+fi
+./configure --disable-test-compare-images --enable-external-libs --enable-werror --with-windows-wordsize=$wordsize --with-buildrules=mingw ${1+"$@"}